function [theForce] = getELCForceX(x_position)
%,  ELCUT     
%    x=0


%1.      (x_)
%2.  
%3.      


elc = actxserver ('ELCUT.Application'); %   Elcut
pbm = elc.Problems.Item(1);      %   
pbm.LoadModel;                  % 
mdl = pbm.Model;                %   

%1.      (x_)
%   , .. ""
%(       )
theShape = mdl.Shapes.get ('LabeledAs','','','');
%  
theVector = elc.PointXY(x_position, 0);
%  
theShape.Move('qfShift', theVector);
mdl.Shapes.BuildMesh();         %    
mdl.Save;                       %  

%2.  
pbm.SolveProblem();             %s 
pbm.AnalyzeResults;             % 
res = pbm.Result;               %   
%       
%     
theFieldWindow = res.GetFieldWindow(1); %  
theContour = theFieldWindow.Contour;    %   
theContour.AddBlock1 ('');       %  ""  
%     
theMagneticForce = res.GetIntegral('qfInt_MaxwellForce', theContour).Value;

%3.      
theVector = elc.PointXY(-x_position, 0);
theShape.Move('qfShift', theVector);
mdl.Save;

theForce = theMagneticForce.X;  %     x
